Subject: Re: bug#33673: "guix system --help" does not detail how to use --on-error=strategy

From: Efraim Flashner <[email-masked]>
Date: Tue, 11 Dec 2018 09:18:51 +0200

On Sun, Dec 09, 2018 at 12:16:47AM +0100, Ludovic Courtès wrote:
> Hi,
> 
> [email-masked] skribis:
> 
> > The current output is:
> >
> > --on-error=STRATEGY    apply STRATEGY when an error occurs while reading
> > FILE
> 
> FWIW I think it’s reasonable for ‘--help’ to be generally more concise
> than the manual.  We could list the possible strategies here, but that
> might clutter the output more than is desirable.
> 
> > Additionally we now have so many commands in the help pages of guix
> > system and guix build that it would be nice to present them in a more
> > readable/categorized way.
> >
> > Would a patches for improvement in these areas be accepted?
> 
> Improvements are always welcome of course.  The main criterion would be
> to remain consistent with the rest of Guix and with GNU conventions that
> we follow.  Maybe it’s best to discuss what you have in mind first?
> 
> Thank you,
> Ludo’.
> 

I'd go with (one of: nothing-special, backtrace, debug)
with the assumption that for more information the manual is more
verbose.

I also just noticed that we have 'man guix-system', which could be more
verbose on the subject without needing to fit in a concise output.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted